Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTextCursor.MoveMode

    java.lang.Object
      java.lang.Enum<QTextCursor.MoveMode>
          com.trolltech.qt.gui.QTextCursor.MoveMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextCursor.MoveMode>

Enclosing class:
  QTextCursor

    public static enum QTextCursor.MoveMode

extends java.lang.Enum<QTextCursor.MoveMode>
implements QtEnumerator

If the `anchor` is kept where it is and the `position` is moved, the text in between will be selected.

Enum Constant Summary
`KeepAnchor` Keeps the anchor where it is.
`MoveAnchor` Moves the anchor to the same position as the cursor itself.

Method Summary
`static QTextCursor.MoveMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextCursor.MoveMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextCursor.MoveMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MoveAnchor

    public static final QTextCursor.MoveMode MoveAnchor

  Moves the anchor to the same position as the cursor itself.

### KeepAnchor

    public static final QTextCursor.MoveMode KeepAnchor

  Keeps the anchor where it is.

Method Detail

### values

    public static final QTextCursor.MoveMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextCursor.MoveMode c : QTextCursor.MoveMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextCursor.MoveMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextCursor.MoveMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD